/**
* 文件：DemoEntity.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.module.demo.model;

import com.mortals.framework.model.BaseEntityLong;

import java.util.Date;

/**
 * <p>Title: 演示模块</p>
 * <p>Description: DemoEntity  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class DemoEntity extends BaseEntityLong{
	private static final long serialVersionUID = 1603706650202L;


	/** 演示字段1 */
	private String fieldOne;

	/** 演示字段1 */
	private Long fieldTwo;

	/** 变更时间 */
	private Date updateTime;

	/** 变更用户loginName */
	private String updateUser;

	/** 创建时间 */
	private Date createTime;

	/** 创建用户loginName */
	private String createUser;


	public DemoEntity(){
		
	}
	/**
	 * 获取 演示字段1
	 * @return fieldOne
	 */
	public String getFieldOne(){
		return this.fieldOne;
	}

	/**
	 * 设置 演示字段1
	 * @param fieldOne
	 */
	public void setFieldOne(String fieldOne){
		this.fieldOne = fieldOne;
	}

	/**
	 * 获取 演示字段1
	 * @return fieldTwo
	 */
	public Long getFieldTwo(){
		return this.fieldTwo;
	}

	/**
	 * 设置 演示字段1
	 * @param fieldTwo
	 */
	public void setFieldTwo(Long fieldTwo){
		this.fieldTwo = fieldTwo;
	}

	/**
	 * 获取 变更时间
	 * @return updateTime
	 */
	public Date getUpdateTime(){
		return this.updateTime;
	}

	/**
	 * 设置 变更时间
	 * @param updateTime
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}

	/**
	 * 获取 变更用户loginName
	 * @return updateUser
	 */
	public String getUpdateUser(){
		return this.updateUser;
	}

	/**
	 * 设置 变更用户loginName
	 * @param updateUser
	 */
	public void setUpdateUser(String updateUser){
		this.updateUser = updateUser;
	}

	/**
	 * 获取 创建时间
	 * @return createTime
	 */
	public Date getCreateTime(){
		return this.createTime;
	}

	/**
	 * 设置 创建时间
	 * @param createTime
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}

	/**
	 * 获取 创建用户loginName
	 * @return createUser
	 */
	public String getCreateUser(){
		return this.createUser;
	}

	/**
	 * 设置 创建用户loginName
	 * @param createUser
	 */
	public void setCreateUser(String createUser){
		this.createUser = createUser;
	}


	@Override
	public int hashCode() {
		return this.getId().hashCode();
	}
	@Override
	public boolean equals(Object obj) {
		if (obj == null)
			return false;
		if (obj instanceof DemoEntity) {
			DemoEntity tmp = (DemoEntity) obj;
			if (this.getId().longValue() == tmp.getId().longValue()) {
				return true;
			}
		}
		return false;
	}
	public String toString(){
		StringBuilder sb = new StringBuilder("");
		sb.append("id:").append(getId())
		  .append(",fieldOne:").append(getFieldOne())
		  .append(",fieldTwo:").append(getFieldTwo())
		  .append(",updateTime:").append(getUpdateTime())
		  .append(",updateUser:").append(getUpdateUser())
		  .append(",createTime:").append(getCreateTime())
		  .append(",createUser:").append(getCreateUser());
		return sb.toString();
	}
	public void initAttrValue(){
		this.fieldOne = null;
		this.fieldTwo = null;
		this.updateTime = null;
		this.updateUser = null;
		this.createTime = null;
		this.createUser = null;
	}
}